
Redmine - Feature #15835

New permission to allow to view all projects

2014-01-09 16:43 - Christian S.

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

We are developing an synchronization of projects between Redmine and another application with the usage of the Redmine

REST-API. Now we have noticed that only if you take the API key of an Administrator you get a list of all projects. Otherwise you only

get the list of projects you are involved in.

But using an Administrator as API-User is a security risk.

It would be nice if there could be added a new permission for viewing all projects. This would not only be good for the API but also for

the project management.

Related issues:

Has duplicate Redmine - Feature #29992: Add permissions to read all projects. Closed

History

#1 - 2018-11-25 10:53 - Go MAEDA

- Has duplicate Feature #29992: Add permissions to read all projects.  added

#2 - 2018-11-25 10:54 - Go MAEDA

- Subject changed from New permission to allow to view all projects (bad for API) to New permission to allow to view all projects
